Skip to main content

Restore External Snapshot (V2)

On Request

Restores a collection from an externally stored snapshot.

POST/v2/vectordb/jobs/snapshot/restore_external
Connection Endpoint

The base URL for this API is in the following format:

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘Notes
  • Use the cluster endpoint if you are using serving clusters.
    • Free & Serverless

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
Parameters
Authorizationstringheader

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
Request Body
dbNamestring

The target database name.

targetCollectionNamestringrequired

The name of the target collection.

snapshotMetadataURIstringrequired

The object-storage URI of the snapshot metadata to restore.

externalSpecstring

Optional external storage specification.

bash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/snapshot/restore_external" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"targetCollectionName": "restored_collection",
"snapshotMetadataURI": "s3://bucket/snapshots/snapshot_2026_01",
"externalSpec": ""
}'
Responses

Restores a collection from an externally stored snapshot.

codeintegerrequired

Response code.

dataobjectrequired
jobIdinteger<int64>required

The unique identifier of the created restore job.

codeintegerrequired

Response code.

messagestringrequired

Error message.

Successjson
{
"code": 0,
"data": {
"jobId": 451799928999570200
}
}